Single Image/First and Last Frame to Video VQ3P/VQ3T
/api/v1/video/generationHeader Parameters
Format: Authorization: Bearer sk-xxxxxx
Request Body
application/json
Fixed value i2v
Model name, supported: viduq3-pro, viduq3-turbo
Image Information (Single Image-to-Video Mode)
Image Link
First and Last Frame Image Information (First and Last Frame to Video Mode)
First Frame Image Information
Image Link
Last Frame Image Information
Image Link
Generated prompt text
Video duration in seconds, default 5 seconds, supported range: [1-16]
Random Seed
Resolution, default 720p, supported: 540p, 720p, 1080p
Whether to use the direct audio and video output capability, defaults to true
Response Body
application/json
Success
TypeScript Definitions
Use the response body type in TypeScript.
Status Code
Data Object
Result Set
Usage Information
Number of Images
Video Seconds
Input Token Count
Total Token Count
Output token count
Validity Period
Task ID
Task Status
Status Information
Request ID
curl -X POST "https://api.ygw.ai/api/v1/video/generation" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{ "_action": "string", "model": "string", "image": { "imageUrl": "string" }, "headtailImages": {}, "prompt": "string" }'{
"code": 0,
"data": {
"urls": [
"string"
],
"usage": {
"images": 0,
"seconds": 0,
"input_tokens": 0,
"total_tokens": 0,
"output_tokens": 0
},
"expired": "string",
"task_id": "string",
"task_status": "string"
},
"message": "string",
"request_id": "string"
}